Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Interface EntityPropertyCache

All Superinterfaces:
  Serializable

public interface EntityPropertyCache
extends Serializable

Class used to hold properties for a given entity. An instance of this class is used as the runtime store for a ConfigurableEntity EJB during its lifecycle, as a container to pass properties from the EntityPropertyManager to an entity, and as a container to cache properties in the application-wide cache by the EntityPropertyManager.

See Also:
  `ConfigurableEntity`, `EntityPropertyManager`

Method Summary
`void` | `clear()` Clear the cache
`EntityPropertyCache` | `filterByPropertyMapKeys(Set propertyMapKeys)` Return a subset of this cache containing only the named property map keys
`EntityPropertyCache` | `filterByPropertySet(String propertySetName)` Return a subset of this cache containing only the named property sets
`Object` | `get(PropertyMapKey key)` Get a value from the cache
`List` | `getContentsAsString()` Describes the contents of this cache as a String [] of {"propertySet", "propertyName", "propertyValue" } and return as list.
`Iterator` | `getEntries()`
`Map` | `getMap()` Get the entire map that backs up the cache
`boolean` | `isEmpty()`
`void` | `put(PropertyMapKey key, Object value)` Put a value in the cache
`void` | `putAll(Map map)` Add all the key/value pairs from the given map to the cache
`void` | `remove(PropertyMapKey key)` Remove a value from the cache
`int` | `size()`

Method Detail

### size

    public int size()

  Returns:
    number of property entries in this cache

### isEmpty

    public boolean isEmpty()

  Returns:
    true if this cache is empty

### get

    public Object get(PropertyMapKey key)

  Get a value from the cache

  Parameters:
    `key` - the key to lookup
  Returns:
    the property value, or null if there is none.

### remove

    public void remove(PropertyMapKey key)

  Remove a value from the cache

  Parameters:
    `key` - the key to remove

### put

    public void put(PropertyMapKey key,
                    Object value)

  Put a value in the cache

  Parameters:
    `key` - the key of the new value
    `value` - the value to cache

### putAll

    public void putAll(Map map)

  Add all the key/value pairs from the given map to the cache

  Parameters:
    `map` - the Map containing values to add

### getMap

    public Map getMap()

  Get the entire map that backs up the cache

  Returns:
    a Map of PropertyMapKey/value pairs

### getEntries

    public Iterator getEntries()

  Returns:
    an Iterator over the cache entry set. Will return null for an empty cache.

### clear

    public void clear()

  Clear the cache

### getContentsAsString

    public List getContentsAsString()

  Describes the contents of this cache as a String [] of {"propertySet", "propertyName", "propertyValue" } and return as list.

### filterByPropertySet

    public EntityPropertyCache filterByPropertySet(String propertySetName)

  Return a subset of this cache containing only the named property sets

### filterByPropertyMapKeys

    public EntityPropertyCache filterByPropertyMapKeys(Set propertyMapKeys)

  Return a subset of this cache containing only the named property map keys

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved